std::_Fwd_list_base< _Tp, _Alloc >(3cxx)

NAME
std::_Fwd_list_base< _Tp, _Alloc >

SYNOPSIS

Inherited by std::forward_list< _Tp, _Alloc > [private].

  Public Types

typedef _Fwd_list_node< _Tp > _Node
typedef _Fwd_list_const_iterator< _Tp > const_iterator
typedef _Fwd_list_iterator< _Tp > iterator

  Public Member Functions

_Fwd_list_base (const _Node_alloc_type &__a)
_Fwd_list_base (_Fwd_list_base &&__lst, const _Node_alloc_type &__a)
_Fwd_list_base (_Fwd_list_base &&__lst)
_Node_alloc_type & _M_get_Node_allocator () noexcept
const _Node_alloc_type & _M_get_Node_allocator () const noexcept

  Protected Types

typedef __gnu_cxx::__alloc_traits< _Node_alloc_type > _Node_alloc_traits
typedef __alloc_rebind< _Alloc, _Fwd_list_node< _Tp > > _Node_alloc_type
typedef __alloc_rebind< _Alloc, _Tp > _Tp_alloc_type

  Protected Member Functions

template<typename... _Args> _Node * _M_create_node (_Args &&... __args)
_Fwd_list_node_base * _M_erase_after (_Fwd_list_node_base *__pos)
_Fwd_list_node_base * _M_erase_after (_Fwd_list_node_base *__pos, _Fwd_list_node_base *__last)
_Node * _M_get_node ()
template<typename... _Args> _Fwd_list_node_base * _M_insert_after (const_iterator __pos, _Args &&... __args)
void _M_put_node (_Node *__p)

  Protected Attributes

_Fwd_list_impl _M_impl

Detailed Description

  template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_base< _Tp, _Alloc >" Base class for forward_list.

Definition at line 274 of file forward_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.